# nToken Portfolio

### Basic structure

The nToken's portfolio holds a Prime Cash balance, liquidity tokens at each maturity, and an fCash debt at each maturity.&#x20;

Each nToken holds a proportional claim on all the assets in the nToken's portfolio. If there are 10,000 total nTokens and one user holds 1,000 nTokens, that user has a claim on 10% of the liquidity tokens and 10% of the fCash debt in the nToken portfolio.

Here is an example nToken portfolio ignoring its Prime Cash balance:

| **Maturity**    | **Liquidity Tokens** | **fCash Debt** |
| --------------- | -------------------- | -------------- |
| March 1 2022    | +200                 | -200           |
| June 1 2022     | +300                 | -300           |
| December 1 2022 | +500                 | -500           |

### Net fCash

A net fCash position is when the fCash sitting in a liquidity pool doesn't perfectly offset the fCash debt in the nToken's portfolio. As users trade on the liquidity pools, nTokens can develop large net fCash positions if most of the trades are the same direction.

nToken's net fCash positions come from the liquidity tokens in the nToken portfolio. Liquidity tokens are freely redeemable for the Prime Cash and fCash sitting in the liquidity pools.&#x20;

To illustrate how nTokens develop net fCash positions, let's see what the example portfolio above would look like if we redeemed those liquidity tokens and assumed that each liquidity token has a claim on 1 Prime Cash and 1 fCash.

| **Maturity**    | **Prime Cash Claim** | **fCash Claim** | **fCash Debt** |
| --------------- | -------------------- | --------------- | -------------- |
| March 1 2022    | +200                 | +200            | -200           |
| June 1 2022     | +300                 | +300            | -300           |
| December 1 2022 | +500                 | +500            | -500           |

In this example, the positive fCash claim from the liquidity tokens would offset the negative fCash debt in each maturity. So we can calculate the net fCash in a maturity as the sum of the fCash claim and the fCash debt.

<table data-header-hidden><thead><tr><th width="174"></th><th width="175"></th><th></th><th></th><th></th></tr></thead><tbody><tr><td><strong>Maturity</strong></td><td><strong>Prime Cash Claim</strong></td><td><strong>fCash Claim</strong></td><td><strong>fCash</strong></td><td><mark style="color:blue;"><strong>Net fCash</strong></mark></td></tr><tr><td>March 2022</td><td>+200</td><td>+200</td><td>-200</td><td>0</td></tr><tr><td>June 2022</td><td>+300</td><td>+300</td><td>-300</td><td>0</td></tr><tr><td>December 2022</td><td>+500</td><td>+500</td><td>-500</td><td>0</td></tr></tbody></table>

### Net fCash changes

When end users lend and borrow they change the amount of Prime Cash and fCash claims of the nToken's liquidity tokens and give the nToken net fCash positions.

For example, consider if a user borrowed 100 Prime Cash from the March liquidity pool in exchange for 105 fCash. The liquidity tokens would have a claim on 100 fewer Prime Cash and 105 more fCash. Here is what the March maturity part of the nToken portfolio would look like after this trade.

<table data-header-hidden><thead><tr><th></th><th width="181"></th><th></th><th></th><th></th></tr></thead><tbody><tr><td><strong>Maturity</strong></td><td><strong>Prime Cash Claim</strong></td><td><strong>fCash Claim</strong></td><td><strong>fCash</strong></td><td><mark style="color:blue;"><strong>Net fCash</strong></mark></td></tr><tr><td>March 2022</td><td>+100</td><td>+305</td><td>-200</td><td>+105</td></tr></tbody></table>

The nToken now has a net fCash position of +105 in the March 2022 maturity. In other words, the nToken is now a **lender** in this maturity.

The same thing can occur in the other direction. Now imagine that a second user came in to lend 200 Prime Cash in exchange for purchasing 208 fCash from the March liquidity pool. The liquidity tokens would now have a claim on 300 Prime Cash and only 97 fCash.

<table data-header-hidden><thead><tr><th></th><th width="184"></th><th></th><th></th><th></th></tr></thead><tbody><tr><td><strong>Maturity</strong></td><td><strong>Prime Cash Claim</strong></td><td><strong>fCash Claim</strong></td><td><strong>fCash</strong></td><td><mark style="color:blue;"><strong>Net fCash</strong></mark></td></tr><tr><td>March 2022</td><td>+300</td><td>+97</td><td>-200</td><td>-103</td></tr></tbody></table>

The nToken now has a net fCash position of -103 in the March 2022 maturity. In other words, the nToken is now a net **borrower** in this maturity.

The nToken's net fCash positions reflect the aggregate activity of all end users on Notional in that currency. When the nToken has significant net fCash positions it means that end user activity has been skewed in one direction.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.notional.finance/notional-v3/ntokens/ntoken-mechanics/ntoken-portfolio.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
